me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins

## Class Colorable

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part
  - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.Colorable

Direct Known Subclasses:
  Addon, Rotor, Skin, Turret, Wheel

    public class Colorable
    extends Part

### Constructor Summary

Constructors
Constructor and Description
`Colorable()`
`Colorable(java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset, org.bukkit.Color color, org.bukkit.inventory.ItemStack skin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.bukkit.Color` `getColor()` The color
`org.bukkit.inventory.ItemStack` `getSkin()` The skin of the part
`org.bukkit.inventory.ItemStack` `getSkinColored()`
`void` `setColor(org.bukkit.Color color)` The color
`void` `setSkin(org.bukkit.inventory.ItemStack skin)` The skin of the part

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part

`applyExtraOffset, despawnStand, getHolder, getIsCustomPlaced, getOwningVehicle, getUID, getXOffset, getYOffset, getZOffset, setHolder, setIsCustomPlaced, setOwningVehicle, setUID, setXOffset, setYOffset, setZOffset, spawnStand`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Colorable

    public Colorable(java.lang.Double xOffset,
                     java.lang.Double yOffset,
                     java.lang.Double zOffset,
                     org.bukkit.Color color,
                     org.bukkit.inventory.ItemStack skin)

#### Colorable

    public Colorable()

### Method Detail

#### getSkinColored

    public org.bukkit.inventory.ItemStack getSkinColored()

#### setSkin

    public void setSkin(org.bukkit.inventory.ItemStack skin)

The skin of the part

#### setColor

    public void setColor(org.bukkit.Color color)

The color

#### getSkin

    public org.bukkit.inventory.ItemStack getSkin()

The skin of the part

#### getColor

    public org.bukkit.Color getColor()

The color